Subject: bug#63861: [PATCH] pp.el: New "pretty printing" code

From: Stefan Monnier <[email-masked]>
Date: Fri, 09 Jun 2023 11:26:16 -0400

>> I haven't seen "really bizarre results" with `pp-region` yet, but
>> I wouldn't be surprised if that can happen: I've been playing with
>> various pretty-printing alternatives over the years and they all seem to
>> suffer from weird behaviors occasionally, except for those that insert
>> too many line breaks.
> If algorithms that insert "too many" line breaks can be reasonably fast,
> can they be executed first followed by merging the excessive lines back?

Speed is definitely an issue in general, but the "behavior" I was
alluding to above was not the performance but the end result (and
I think the same was true for Visuwesh's comment).

        Stefan